import { format } from 'd3';

const numberFormat = format('.4s');
const NumberForm = PopValue => numberFormat(PopValue);

export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  tooltipFormat
}) =>
  data.map(d => (
    <rect
      className="mark"
      key={yValue(d)}
      x={0}
      y={yScale(yValue(d))}
      width={xScale(xValue(d))}
      height={yScale.bandwidth()}
    >
    <title>{d.MassFraction + " g/kg Seawater"}</title>
   /*

      */
    </rect>
  ));
/*   <title>{tooltipFormat(xValue(d))}</title>  */